interface VBRBaseResponseI<T> {
  data: T
  pagination: {
    total: number
    count: number
    skip: number
    limit: number
  }
}

interface VBRListAllJobStateI {
  type: string
  status: string
  lastResult: string
  workload: string
  id: string
  name: string
  description: string
  lastRun: string
  nextRun: string | null
  repositoryId: string
  repositoryName: string
  objectsCount: number
  sessionId: string
}

export type VBRListAllJobStateResponseI = VBRBaseResponseI<
  VBRListAllJobStateI[]
>
